%define ortp_glib 1

%define major 5
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp
Version:	0.10.0
Release:	%mkrel 5
License:	LGPL
Group:		Communications
URL:		http://linphone.org/ortp/
Source0:	http://www.linphone.org/ortp/sources/%{name}-%{version}.tar.bz2
Patch0:		ortp-ppcfix.patch
%if %ortp_glib
BuildRequires:	glib2-devel
%endif
BuildRequires:	gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libname}
Summary:        Real-time Transport Protocol Stack
Group:		System/Libraries


%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Other
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:       %{libname} = %{version}

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

#define ortp_cflags %ortp_arch_cflags -Wall -g -pipe -pthread -O3 -fomit-frame-pointer -fno-schedule-insns -fschedule-insns2 -fstrict-aliasing

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
    --enable-shared \
    --enable-static \
    --enable-glib \
    --enable-glibtest \
    --enable-gtk-doc
%make  
#CXXFLAGS="%ortp_cflags"

%install
rm -rf %{buildroot}
%makeinstall

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc docs/html
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
#%if %ortp_glib
# `--enable-gtk-doc' does not work : cannot be disabled
%{_datadir}/gtk-doc/html/%{name}
#%endif





%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-5mdv2009.0
+ Revision: 229672
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-3mdv2008.1
+ Revision: 179114
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Emmanuel Blindauer <blindauer@mandriva.org> 0.10.0-2mdv2007.0
+ Revision: 103558
- fix ppc build (patch 0)
- Import ortp

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.10.0-2mdv2007.0
- major 5

* Fri Jun 16 2006 Austin Acton <austin@mandriva.org> 0.10.0-1mdv2007.0
- New release 0.10.0

* Thu Mar 09 2006 Austin Acton <austin@mandriva.org> 0.9.0-1mdk
- New release 0.9.0
- major 4
- move docs to devel package
- buildrequires gtk-doc

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdk
- 0.8.1

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Wed Oct 26 2005 Francois-Xavier Kowalski <fix@hp.com>
- Add to oRTP distribution with "make rpm" target

